package it.integry.integrywmsnative.view.dialogs.ask_cliente.dto;

import it.integry.integrywmsnative.core.model.VtbDest;

public class DialogAskClienteDestinatarioDTO {

    private String codAnag;

    private String codVdes;

    private String destinatario;

    private String indirizzo;

    private String cap;

    private String citta;

    private String prov;

    private String nazione;

    public String getCodAnag() {
        return codAnag;
    }

    public DialogAskClienteDestinatarioDTO setCodAnag(String codAnag) {
        this.codAnag = codAnag;
        return this;
    }

    public String getCodVdes() {
        return codVdes;
    }

    public DialogAskClienteDestinatarioDTO setCodVdes(String codVdes) {
        this.codVdes = codVdes;
        return this;
    }

    public String getDestinatario() {
        return destinatario;
    }

    public DialogAskClienteDestinatarioDTO setDestinatario(String destinatario) {
        this.destinatario = destinatario;
        return this;
    }

    public String getIndirizzo() {
        return indirizzo;
    }

    public DialogAskClienteDestinatarioDTO setIndirizzo(String indirizzo) {
        this.indirizzo = indirizzo;
        return this;
    }

    public String getCap() {
        return cap;
    }

    public DialogAskClienteDestinatarioDTO setCap(String cap) {
        this.cap = cap;
        return this;
    }

    public String getCitta() {
        return citta;
    }

    public DialogAskClienteDestinatarioDTO setCitta(String citta) {
        this.citta = citta;
        return this;
    }

    public String getProv() {
        return prov;
    }

    public DialogAskClienteDestinatarioDTO setProv(String prov) {
        this.prov = prov;
        return this;
    }

    public String getNazione() {
        return nazione;
    }

    public DialogAskClienteDestinatarioDTO setNazione(String nazione) {
        this.nazione = nazione;
        return this;
    }

    @Override
    public String toString() {
        return String.format("%s (%s)", getDestinatario(), getCodVdes());
    }

    public VtbDest toVtbDestModel() {
        return new VtbDest()
                .setCap(getCap())
                .setCitta(getCitta())
                .setCodAnag(getCodAnag())
                .setCodVdes(getCodVdes())
                .setDestinatario(getDestinatario())
                .setProv(getProv())
                .setIndirizzo(getIndirizzo())
                .setNazione(getNazione());
    }
}
